## org.eclipse.emf.edit.provider
Class ChangeNotifier

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<INotifyChangedListener>
                  org.eclipse.emf.edit.provider.ChangeNotifier

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<INotifyChangedListener>, java.util.Collection<INotifyChangedListener>, java.util.List<INotifyChangedListener>, java.util.RandomAccess, IChangeNotifier

    public class ChangeNotifier

extends java.util.ArrayList<INotifyChangedListener>
implements IChangeNotifier

This is a simple and obvious implementation of `IChangeNotifier` as an extension of an ArrayList, for flexibility.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ChangeNotifier()`

Method Summary
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds another listener.
`void` `fireNotifyChanged(Notification notification)` This calls `notifyChanged` for each listener.
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ChangeNotifier

    public ChangeNotifier()

Method Detail

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This calls `notifyChanged` for each listener.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds another listener.

  Specified by:
    `addListener` in interface `IChangeNotifier`

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `IChangeNotifier`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.